<?php

require '../../conexion.php';
session_start();
//subtrae cadena con explode
$articulo = explode("_", $_REQUEST['vart']);

$sql = "SELECT compras_detalle(" . $_REQUEST['accion'] . ","
        . $_REQUEST['vcod'] . ",split_part('"
        .  $_REQUEST['vart'] . "','_',1)::integer,"
        . $_REQUEST['vdep'] . ","
        . $_REQUEST['vcant'] . ","
        . $_REQUEST['vprecio'] . ") as detalle;";


$resultado = consultas::get_datos($sql);

if ($resultado[0]['detalle'] == null) {
    $_SESSION['mensaje'] = 'Error de Proceso ' + $sql;
    header('location:./' . $_REQUEST['pagina']);
} else {
    $_SESSION['mensaje'] = $resultado[0]['detalle']."_". $_REQUEST['accion'] ;
    header('location:./' . $_REQUEST['pagina']. "?vcod=" . $_REQUEST['vcod']);
    //$_SESSION['vcod'] = $_REQUEST['vcod'];
}
?>